using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Quadarax.Foundation.Core.Business.Processor.Task;
using Quadarax.Foundation.Core.Logging;
using Quadarax.Foundation.Core.Object;

namespace Quadarax.Foundation.Core.Business.Processor.Queue
{
    public class ProcessQueue : DisposableObject
    {

        public void Start()
        {
            throw new NotImplementedException();
        }

        public void Stop()
        {
            throw new NotImplementedException();
        }

        public ITaskIdentifier CreateTask()
        {

        }
        public ITaskItem GetTask(ITaskIdentifier id)
        {

        }
        public ITaskItem[] GetTask(ITaskIdentifier[] ids)
        {

        }

        public bool ContainsPendingTasks()
        {

        }
        public bool ContainsProcessingTasks()
        {

        }
        

        protected override void OnDisposing()
        {
            throw new NotImplementedException();
        }

    }
}
